Page MenuHomePhabricator

Detail of error message is no longer shown in Wikidata edit interface
Open, HighPublic

Description

Reproduce 1:

Reproduce 2:

Expected:

You will see a detailed error message. This may include AbuseFilter warning or disallow message.

Actual:

  • You only see "The save has failed."
  • The message is not localized. (T250889)

At least seen since Feb 24: https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2020/02#How_to_edit_label?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2020, 9:38 AM
Bugreporter updated the task description. (Show Details)Mar 15 2020, 9:40 AM
Lydia_Pintscher triaged this task as High priority.Mar 18 2020, 1:31 PM
Lydia_Pintscher moved this task from Incoming to Prioritized Product on the Wikidata-Campsite board.

When I did my first-ever edit on Wikidata, i.e. on Q13517472, the warning that the edit activated the abuse filter 10 had shown normally.

3 March 2020 when Wikidata was 1.35.0-wmf.21.

Raymond updated the task description. (Show Details)Apr 22 2020, 6:58 AM

This probably relates to the recent errorformat changes in Wikibase recently in T242769.
This was deployed with 1.35.0-wmf.21

hoo claimed this task.Wed, May 6, 1:04 PM

Change 596007 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[wikibase/javascript-api@master] RepoApiError: Pick the best error to report

https://gerrit.wikimedia.org/r/596007

Change 596007 merged by jenkins-bot:
[wikibase/javascript-api@master] RepoApiError: Pick the best error to report

https://gerrit.wikimedia.org/r/596007

This still needs the release preparation patch to be merged (https://gerrit.wikimedia.org/r/c/wikibase/javascript-api/+/596231), then we can tag it (while doing that, we should also tag the past 3.1.1 release as that was forgotten back then). After that, the subcomponent can be bumped in Wikibase and we should be good here.

Change 596684 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Update wikibase-api to 3.2.0

https://gerrit.wikimedia.org/r/596684

hoo added a comment.Fri, May 15, 4:39 PM

I tagged the release now, so we only need to update the submodule in Wikibase now.

Change 596684 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update wikibase-api to 3.2.0

https://gerrit.wikimedia.org/r/596684

Should be possible to verify on Beta now; I’ve set up an AbuseFilter on Beta that mirrors the P​21 one on Wikidata, so if you try to add “sex or gender” (here, P​963) with an invalid value (e. g. Q​6) to an item, you should get an error, and see the detail in the error message.

Tested it on production via the testcases in the description. Duplicate sitelink warning seems fine. However this is quite beautiful 😬

Anything we can do to improve it?

Change 599836 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Increase error tooltip max-width from 15em to 17em

https://gerrit.wikimedia.org/r/599836

I wanted to translate the warning "The save has failed." but apparently it is ignored by translatewiki (wikibase-api-failed-save), that's probably why everybody can only see it in English. The list of ignored messages is longer and should get some attention.